Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.builder
Class NAntBuilder

    java.lang.Object
      com.pmease.quickbuild.builder.Builder
          com.pmease.quickbuild.builder.NAntBuilder

All Implemented Interfaces:
  java.io.Serializable

public class NAntBuilder
extends Builder

NAnt builder implementation

Author:
  robin shine
See Also:
  Serialized Form

Constructor Summary
`NAntBuilder()`

Method Summary
`java.lang.String` | `constructBuildCmd(Build build)` Construct NAnt build command
`java.lang.String` | `constructBuildCmdDir(Build build)` Constructs the directory to run build command in
`java.util.Map` | `getBuildProperties()` OGNL: Define build properties here to pass into the NAnt build script.
`java.lang.String` | `getBuildScriptPath()` OGNL: The path for the NAnt build script.
`java.lang.String` | `getDirToRunNAnt()` Optionally specify the directory to run NAnt in.
`java.lang.String` | `getExtraNAntOptions()` Optionally specify extra NAnt options.
`java.lang.String` | `getNantExecutablePath()` OGNL: Specify command to run NAnt.
`java.lang.String` | `getTargets()` OGNL: Specify the targets to build.
`void` | `setBuildProperties(java.util.Map buildProperties)`
`void` | `setBuildScriptPath(java.lang.String buildScriptPath)`
`void` | `setDirToRunNAnt(java.lang.String dirToRunNAnt)`
`void` | `setExtraNAntOptions(java.lang.String extraNAntOptions)`
`void` | `setNantExecutablePath(java.lang.String nantExecutablePath)`
`void` | `setTargets(java.lang.String targets)`

Methods inherited from class com.pmease.quickbuild.builder.Builder
`equals, execute, getBuildSuccessCondition, getBuildSuccessConditionChoices, getEditor, getEnvironments, getName, getNameChoices, getResult, hashCode, logContainsLine, setBuildSuccessCondition, setEditor, setEnvironments, setName, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NAntBuilder

    public NAntBuilder()

Method Detail

### getNantExecutablePath

    public java.lang.String getNantExecutablePath()

  OGNL: Specify command to run NAnt. For example, C:\\nant-0.85-rc3\\bin\\nant.exe
  NOTE: Command or arguement with spaces should be quoted.

  Returns:

### setNantExecutablePath

    public void setNantExecutablePath(java.lang.String nantExecutablePath)

### getBuildScriptPath

    public java.lang.String getBuildScriptPath()

  OGNL: The path for the NAnt build script. If this path is not an absolute path, it is assumed that it is relative to the current configuration's checkouts directory.

  Returns:

### setBuildScriptPath

    public void setBuildScriptPath(java.lang.String buildScriptPath)

### getTargets

    public java.lang.String getTargets()

  OGNL: Specify the targets to build. Use space to separate different targets (target name containing spaces should be quoted in order not to be interpreted as multiple targets). You can also use ${...} to pass variables to the target name. For example you can use ${name} to reference name of current configuration. For valid OGNL expressions in this context, please refer to the user's guide.

  Returns:

### setTargets

    public void setTargets(java.lang.String targets)

### getBuildProperties

    public java.util.Map getBuildProperties()

  OGNL: Define build properties here to pass into the NAnt build script. For example:
  buildVersion=${build.version}
  configurationName=${name}
  You should set one variable per line. OGNL expression can be inserted to form the value provided they are enclosed by ${...}. For valid OGNL expressions in this context, please refer to the user's guide.
  NOTE: Properties with blank value will be ignored.

  Returns:

### setBuildProperties

    public void setBuildProperties(java.util.Map buildProperties)

### constructBuildCmd

    public java.lang.String constructBuildCmd(Build build)

  Construct NAnt build command

  Specified by:
    `constructBuildCmd` in class `Builder`
  Returns:

### constructBuildCmdDir

    public java.lang.String constructBuildCmdDir(Build build)

  Description copied from class: `Builder`
  Constructs the directory to run build command in

  Specified by:
    `constructBuildCmdDir` in class `Builder`
  Returns:
    the directory to run build command in. Null if do not care where to run build command

### getDirToRunNAnt

    public java.lang.String getDirToRunNAnt()

  Optionally specify the directory to run NAnt in. If not specified, NAnt will be executed in the directory containing the build script you specified.

  Returns:

### setDirToRunNAnt

    public void setDirToRunNAnt(java.lang.String dirToRunNAnt)

### getExtraNAntOptions

    public java.lang.String getExtraNAntOptions()

  Optionally specify extra NAnt options.

  Returns:

### setExtraNAntOptions

    public void setExtraNAntOptions(java.lang.String extraNAntOptions)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.